Bug 1636 - xfs in runlevel 3?
xfs in runlevel 3?
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Cristian Gafton
Depends On:
  Show dependency treegraph
Reported: 1999-03-19 20:35 EST by Peter Jones
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 1999-03-22 16:24:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Peter Jones 1999-03-19 20:35:14 EST
Running xfs in runlevel 3 makes no sense.  startx probably
needs to know how to start and stop it instead.
Comment 1 Preston Brown 1999-03-22 16:24:59 EST
The developers slightly disagree.  There are many many ways to start X
-- startx is only one of them.  Some sites use scripts that give their
own parameters to xinit, others use xdm, kdm, or gdm.  The
possibilities are wide.

While it is true that xfs is only useful while X is running in MOST
cases, it can also be used as a networked font server, so in other
cases running it while X isn't running on the local console DOES make
sense.  Finally, in Red Hat Linux 6.0, some sort of display manager
will be the default way to log into X, in which case X will be running
99% of the time.  If your machine doesn't fall into any of these
categories, it is a simple matter to do a 'chkconfig --del xfs' to
turn off xfs permanently from the runlevel, and then use
/etc/rc.d/init.d/xfs (start|stop) to turn it on and off manually.

Note You need to log in before you can comment on or make changes to this bug.